﻿namespace SpikingNeuronNetwork.Lib.Training
{
    /// <summary>
    /// Neuron Derivative Parameters Class
    /// </summary>
    public class NeuronDerivativeParameters
    {
        /// <summary>
        /// Gets or sets the output spike time to input spike time derivative
        /// </summary>
        public double OutputSpikeTimeToInputSpikeTimeDerivative { get; set; }

        /// <summary>
        /// Gets or sets the output spike time to weight derivative
        /// </summary>
        public double OutputSpikeTimeToWeightDerivative { get; set; }
    }
}
