﻿namespace SpikingNeuronNetwork.Lib
{
    /// <summary>
    /// Operating Region Enum
    /// </summary>
    public enum OperatingRegion
    {
        /// <summary>
        /// Spike Generation Region
        /// </summary>
        SpikeGeneration,

        /// <summary>
        /// Quiescent Region
        /// </summary>
        Quiescent,

        /// <summary>
        /// Refractory Region
        /// </summary>
        Refractory,

        /// <summary>
        /// Tonic Spiking Region
        /// </summary>
        TonicSpiking
    }
}
